package cn.axzo.workflow.common.enums;

import lombok.Getter;

@Getter
public enum BpmnProcessTaskResultEnum {
    PENDING("PENDING", "待处理"),
    APPROVED("APPROVED", "已同意"),
    REJECTED("REJECTED", "已驳回"),
    DELETED("DELETED", "已删除"),
    CANCELED("CANCELED", "已撤销"),
    TRANSFERRED("TRANSFERRED", "已转交"),
    NONE("NONE", "没有执行动作，例如 抄送"),
    ;
    /**
     * 结果
     */
    private final String status;
    /**
     * 描述
     */
    private final String desc;

    BpmnProcessTaskResultEnum(String status, String desc) {
        this.status = status;
        this.desc = desc;
    }

}
